Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message
Interface Properties

    public interface Properties

The message properties hold arbitrary information in the form of <String,Object> pairs

Field Summary
`static java.lang.String` | `MESSAGE_PROFILE` Message Profile property key.

Method Summary
`java.lang.String[]` | `getNames()` getNames()
`java.lang.Object` | `getProperty(java.lang.String name)` getProperty(name)
`java.lang.Object` | `getProperty(java.lang.String name, java.lang.Object defaultVal)` getProperty(name,defaultVal)
`java.lang.Object` | `remove(java.lang.String name)` remove(name)
`java.lang.Object` | `setProperty(java.lang.String name, java.lang.Object value)` setProperty(name,value)
`int` | `size()` size()

Field Detail

### MESSAGE_PROFILE

    static final java.lang.String MESSAGE_PROFILE

  Message Profile property key.

  See Also:
    Constant Field Values

Method Detail

### getProperty

    java.lang.Object getProperty(java.lang.String name)

  getProperty(name)

  Parameters:
    `name` - String - name of property
  Returns:
    Object - the value stored under the specified name

### getProperty

    java.lang.Object getProperty(java.lang.String name,
                                 java.lang.Object defaultVal)

  getProperty(name,defaultVal)

  Parameters:
    `name` - String - name of property
    `defaultVal` - Object - value to return if no value found
  Returns:
    Object - the value stored under the specified name

### setProperty

    java.lang.Object setProperty(java.lang.String name,
                                 java.lang.Object value)

  setProperty(name,value)

  Parameters:
    `name` - String - name of property to store
    `value` - Object - value of property to store under specified name
  Returns:
    Object - the previous value of the specified name, or null if it did not have one

### remove

    java.lang.Object remove(java.lang.String name)

  remove(name)

  Parameters:
    `name` - String - name of property to remove
  Returns:
    Object - the previous value of the specified name, or null if it did not have one

### size

    int size()

  size()

  Returns:
    int - Returns the number of properties in this object

### getNames

    java.lang.String[] getNames()

  getNames()

  Returns:
    String[] - containing the names of all properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD